#pragma once

class AL4_console
{
public:

	static byte Last_foreground_color;
	static byte Last_background_color;
	static bool End_input_detected;
	
	static void Extended_write(std::string S);
	
	static void Console_ANSI_colors(bool Add);
	
	static int prev_Foreground;
	static int prev_Background;
	static bool prev_intensity;
	static bool high_intensity;
	
	static void con_fg(byte f_color);
	
	static void con_bg(byte b_color);
	
	static void apply_color_ansi(int param, int color_RGB);

};


